import { ZegoLogger } from "zego-express-engine-webrtc/sdk/src/common/zego.entity";
import type { ZegoStreamView } from "zego-express-engine-webrtc/sdk/code/zh/ZegoStreamView.web";
interface PublishInfo {
    video?: HTMLMediaElement;
    mediaStream: MediaStream;
    view?: ZegoStreamView;
}
interface PlayInfo {
    streamID: string;
    video?: HTMLMediaElement;
    mediaStream: MediaStream;
    view?: ZegoStreamView;
}
export declare class StreamVideoCenter {
    publishVideoStreamList: Array<PublishInfo>;
    playVideoStreamList: Array<PlayInfo>;
    screenShotStreamList: Array<{
        stream: MediaStream;
    }>;
    audio: HTMLMediaElement[];
    logger: ZegoLogger;
    constructor();
    checkPublishVideo(localVideo: HTMLMediaElement | ZegoStreamView): PublishInfo | null;
    checkPlayVideo(localVideo: HTMLMediaElement | ZegoStreamView): PlayInfo | null;
    removePublishVideo(localVideo: HTMLMediaElement | ZegoStreamView): void;
    setStreamAudioOutput(localVideo: any, audioOutput: string): boolean;
    setPlayStreamAudioOutput(streamid: string, audioOutput: string): boolean;
}
export {};
